﻿using System;
using System.Collections.Generic;
using System.Threading.Tasks;
using TheLastPlanet.Client.Telefono.Models;
using TheLastPlanet.Shared.TelefonoShared;
using TheLastPlanet.Client.Telefono.ClientData;
using CitizenFX.Core;
using static CitizenFX.Core.Native.API;
using CitizenFX.Core.Native;


namespace TheLastPlanet.Client.Telefono.Apps
{
	public class Messages : App
	{
		private int SelectedItem { get; set; } = 0;
		private static bool FirstTick = true;

		public Messages(Phone phone) : base("Messaggi", 2, phone)   // 8
		{

		}

		public override async Task Tick()
		{
			if (FirstTick)
			{
				FirstTick = false;
				await BaseScript.Delay(100);
				return;
			}
			var appName = "Messaggi";
			Phone.Scaleform.CallFunction("SET_HEADER", appName);

		}

		public override void Initialize(Phone phone)
		{
			Phone = phone;
			FirstTick = true;
			SelectedItem = 0;
		}

		public override void Kill()
		{
		}

	}
}
